JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_ReferenceCountedObject.h File Reference

## Classes
class | ReferenceCountedObject
| A base class which provides methods for reference-counting. More...
class | SingleThreadedReferenceCountedObject
| Adds reference-counting to an object. More...
class | ReferenceCountedObjectPtr< ObjectType >
| A smart-pointer class which points to a reference-counted object. More...

## Functions
template<typename Type >
bool | operator== (const Type *object1, const ReferenceCountedObjectPtr< Type > &object2) noexcept
| Compares two ReferenceCountedObjectPtrs.
template<typename Type >
bool | operator!= (const Type *object1, const ReferenceCountedObjectPtr< Type > &object2) noexcept
| Compares two ReferenceCountedObjectPtrs.